# textDialog.py
import  wx

##provider = wx.SimpleHelpProvider()
##wx.HelpProvider.Set(provider)


class TextDialog(wx.Dialog):
    def __init__(
            self, parent,ID, title="Konfiguration der Objektdaten",
            size=wx.DefaultSize, pos=wx.DefaultPosition, 
            style=wx.DEFAULT_DIALOG_STYLE):

        wx.Dialog.__init__(self, parent, ID, title, pos, size, style)

        sizer = wx.BoxSizer(wx.VERTICAL)

        gbs = wx.GridBagSizer(vgap=5, hgap=5) # neu

        ### Label (StaticText) und TextCtrl
        ### Achtung: Erzeugen und Einbau in gbs hier getrennt !!!
        ## Datenbereich
        labelT = wx.StaticText(self, -1, "Textinhalt")
        self.textInhalt = wx.TextCtrl(self, -1,
                                     "mein Text",
                                     size=(125, -1))
        labelX = wx.StaticText(self, -1, "x-Position")
        self.textX = wx.TextCtrl(self, -1,
                                     "50",
                                     size=(125, -1))
        labelY = wx.StaticText(self, -1, "y-Position")
        self.textY = wx.TextCtrl(self, -1,
                                     "50",
                                     size=(125, -1))
        labelW = wx.StaticText(self, -1, "Winkel")
        self.textWinkel = wx.TextCtrl(self, -1,
                                     "0",
                                     size=(125, -1))
        labelF = wx.StaticText(self, -1, "Farbe")
        self.textFarbe = wx.TextCtrl(self, -1,
                                     "black",
                                     size=(125, -1))

        gbs.Add(labelT, (0,0), flag=wx.ALL, border=10)
        gbs.Add(self.textInhalt, (0,1), flag=wx.ALL, border=10)
        gbs.Add(labelX, (1,0), flag=wx.ALL, border=10)
        gbs.Add(self.textX, (1,1), flag=wx.ALL, border=10)
        gbs.Add(labelY, (2,0), flag=wx.ALL, border=10)
        gbs.Add(self.textY, (2,1), flag=wx.ALL, border=10)
        gbs.Add(labelW, (3,0), flag=wx.ALL, border=10)
        gbs.Add(self.textWinkel, (3,1), flag=wx.ALL, border=10)
        gbs.Add(labelF, (4,0), flag=wx.ALL, border=10)
        gbs.Add(self.textFarbe, (4,1), flag=wx.ALL, border=10)
        
        ## dem vertikalen Sizer hinzufuegen
        sizer.Add(gbs, 0, wx.GROW|wx.ALL, 5)
        
        # Trennlinie
        line = wx.StaticLine(self, -1, size=(20,-1), style=wx.LI_HORIZONTAL)
        sizer.Add(line, 0, wx.GROW|wx.RIGHT|wx.TOP, 5)

        btnsizer = wx.StdDialogButtonSizer()
        
##        if wx.Platform != "__WXMSW__":
##            btn = wx.ContextHelpButton(self)
##            btnsizer.AddButton(btn)
        
        okbtn = wx.Button(self, wx.ID_OK)
##        okbtn.SetHelpText("Beenden und uebernehmen")
        okbtn.SetDefault()
        btnsizer.AddButton(okbtn)
        self.Bind(wx.EVT_BUTTON, self.OnOKButton, okbtn)

        btn = wx.Button(self, wx.ID_CANCEL)
##        btn.SetHelpText("Abbruch ohne die Werte zu uebernehmen")
        btnsizer.AddButton(btn)
        btnsizer.Realize()

        sizer.Add(btnsizer, 0, wx.ALL, 5)

        self.SetSizer(sizer)
        sizer.Fit(self)

    def DatenSetzen(self, textInhalt, x, y, winkel, farbe):
        self.textInhalt.ChangeValue(textInhalt)
        self.textX.ChangeValue(x)
        self.textY.ChangeValue(y)
        self.textWinkel.ChangeValue(winkel)
        self.textFarbe.ChangeValue(farbe)

    def OnOKButton(self, evt):
        self.EndModal(wx.ID_OK)

    def OKAngeklickt(self, result):
        return result==wx.ID_OK
